%define        majver   	%(echo %version | cut -d. -f 1-2)
Name:          nautilus-image-converter
Version:       0.3.0_20130901git
##0.3.0 0.2.1
Release:       1mamba
Summary:       Nautilus extension to mass resize or rotate images.
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.bitron.ch/software/nautilus-image-converter.php
Source:        git://git.gnome.org/nautilus-image-converter.git/master/%{name}-%{version}.tar.bz2
#Source:        http://ftp.acc.umu.se/pub/GNOME/sources/%{name}/%{majver}/%{name}-%{version}.tar.bz2
License:       GPL
BuildRequires:  ImageMagick-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
BuildRequires: libnautilus-extension-devel
## AUTOBUILDREQ-END

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Nautilus extension to mass resize or rotate images.

Details	
ImageResizer	
 * Adds a "Resize Images..." menu item to the context menu of all images. 
This opens a dialog where you set the desired image size and file name. 
A click on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

%prep
%setup -q

%build
./autogen.sh
export NAUTILUS_LIBS=%{_libdir}
%configure 
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/nautilus/extensions-?.?/libnautilus-image-converter.la
%attr(755,root,root) %{_libdir}/nautilus/extensions-?.?/libnautilus-image-converter.so
%dir %{_datadir}/nautilus-image-converter
%{_datadir}/nautilus-image-converter/nautilus-image-resize.ui
%{_datadir}/nautilus-image-converter/nautilus-image-rotate.ui
%doc AUTHORS COPYING
#ChangeLog NEWS

%changelog
* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0_20130901git-1mamba
- automatic rebuild by autodist

* Sat Jun 14 2008 gil <puntogil@libero.it> 0.3.0-1mamba
- package created by autospec
